## ==========Description==========

Marsarah Mod v2.2.0

The purpose of this mod is to make Valheim feel less grindy in general and to add interesting features to the game. This is mostly intended for subsequent playthroughs, as I recommend the vanilla experience for a first playthrough.

Short description: 
- Reduces the amount of resources needed to craft or upgrade gear, as well as some build pieces. Most of the resource reductions for gear are made for metal. 
- Some items have their required resource types changed to match the biome they are in. For example, a Silver Sword will not require Iron anymore, but Obsidian. 
- Double bronze crafting
- Iron age back piece with poison resist
- Armor speed penalties removed
- Shorter Forsaken powers cooldowns
- Lighter metal weight
- Larger pickup area
- No skill level down when dying
- Wet effect duration reduced
- Larger explore radius on boat

<br>

## ==========Requirements=========

This mod needs BepInEx for Valheim in order to work. \
The Alternate Linen & Lox Cape section of the mod needs Jotunn to work, but it's not mandatory (details below).

<br>

## ===========Installation==========

Unpack the .zip file and copy the MarsarahMod.dll into the Valheim/BepInEx/Plugins folder. \
If upgrading from a previous version, remove the old .dll file.

<br>

## ============Details============

The mod is split in sections which can be enabled/disabled individually in the config file (all are enabled by default). This file is created automatically when the game is run with the mod installed for the first time.

### [Main Mod] 
* Toggles the entire mod on or off.

### [Cheaper Gear Recipes]
* Reduces the amount of resources needed to craft or upgrade gear. This does not modify the type of resources needed, just the amount.
* Most metal resource requirements are reduced to half (for the majority of items). 
* Other non-metal resource amounts are either increased or decreased where needed for the sake of balance.

### [Double Bronze Crafting] 
* Outputs double the amount of Bronze when smelting Copper and Tin at a Forge. 
* This section should equalize the Bronze gear with the other biomes, as the amount of Bronze needed to craft a piece of gear is not reduced by half.

### [Alternate Gear Recipes] 
* Changes some gear material requirements for crafting or upgrading to match the biome the item comes from. Thus a player will not need to be pushed back to the previous biome to get the required material to craft it.
* This section changes the required crafting/upgrading materials for the following items: 
  - Club: Bone Fragments -\> Leather Scraps 
  - Copper Knife: Greydwarf Eye -\> Leather Scraps (personal preference here as I thought it was weird to use Greydwarf Eyes for this) 
  - Silver Knife: Wood -\> Fine Wood; Iron -\> Obsidian 
  - Silver Sword: Wood -\> Fine Wood; Iron -\> Obsidian 
  - Serpent Scale Shield: Iron -\> Chitin 
  - Porcupine: Iron -\> Black Metal 
  - Wolf Armor Chest: Chain -\> Wolf Fang 
  - Padded Helmet: Iron -\> Black Metal 
  - Padded Cuirass: Iron -\> Black Metal 
  - Padded Greaves: Iron -\> Black Metal 
  - Linen Cape: Silver -\> Black Metal 
  - Lox Cape: Silver -\> Black Metal

### [Alternate Linen & Lox Cape] 
* Moves the Linen Cape from the Plains biome to the Swamp biome and renames it to Fine Cape (check below for name requirement). 
* If this section is enabled, it will change the required material types and amounts for the Linen Cape as follows: 
  - Linen thread (20) -\> Deer (5)
  - Silver (1) -\> Iron (1). 
* Adds poison resistance to the Linen and Lox capes
* The Jotunn dependency is needed to change the name of Linen Cape to Fine Cape. If Jotunn is not installed, the cape will still be moved to the Swamp biome, but its name will not change. So there is no real danger if Jotunn is not installed with this option enabled.

### [Smaller Forsaken Powers Cooldowns] 
* Changes the timers for Forsaken Powers as follows: 
  - Cooldown: 15 mins (from 20) 
  - Duration: 10 mins (from 5)

### [Alternate Gear Speed Modifiers] 
* Changes speed modifiers on gear as follows: 
  - All metal chest and leg pieces have their speed penalty removed (from -5% each) 
  - Troll chest and leg pieces now have a 5% speed modifier increase each 
  - No changes are made to weapon speed modifiers

### [Lighter Metal Weight] 
* Modifies metal weight to match Tin Ore weight. Tin Ore and Bar was the lightest metal in the game (weight of 8), compared to all other ores (weight of 10) and bars (weight of 12). Now all metals (ores and bars) weigh as much as Tin Ore.

### [Cheaper Build Pieces] 
* This is a follow-up to the Cheaper Gear Recipes section. It reduces the amount of resources needed for build pieces as follows: 
  - Iron cooking Station: 2 Iron (from 3); 2 Chain (from 3) 
  - Item Stand Vertical and Horizontal: 2 Fine Wood (from 4) 
  - Blast Furnace: 5 Iron (from 10) 
  - Oven: 5 Iron (from 15) 
  - Grinding Wheel: 15 Wood (from 25) 
  - Smith's Anvil: 7 Iron (from 20) 
  - Forge Cooler: 10 Fine Wood (from 25) 
  - Forge Toolrack: 5 Iron (from 15) 
  - Wood Window: 2 Wood (from 4) 
  - Darkwood Gate: 3 Iron (from 4) 
  - Iron Gate: 3 Iron (from 4) 
  - Iron Chest: 1 Iron (from 2) 
  - Private Chest: 4 Iron (from 8) 
  - Blackmetal Chest: 4 Black Metal (from 6) 
  - Chandelier: 3 Bronze (from 5) 
  - Portal: 10 Fine Wood (from 20) 
  - All Rugs: 3 of their respective hide (from 4) 
  - All Banners: 5 Leather Scraps (from 6) 
  - Fermenter: 15 Fine Wood (from 30) 
  - Bath Tub: 5 Iron (from 10) 
  - Crystal Wall: 1 Crystal (from 2) 
  - Incinerator: 5 Iron (from 8)

### [Alternate Build Pieces Materials] 
* Changes some material requirements for the build pieces below. This goes in line with the Alternate Gear Recipes section. 
  - Tool Rack (Workbench Improvement): Obsidian -\> Coal (This will move this imprvement one biome earlier) 
  - Blast Furnace: Iron -\> Black Metal 
  - Darkwood Gate: Iron -\> Black Metal 
  - Bath Tub: Iron -\> Black Metal

### [Alternate Menu Scene] 
* Changes wind speed and direction in the main menu scene

### [Faster Character Jog, Walk, Swim and Crouch Speeds (Run excluded)] 
* This section increases the speed of the character when not running by a slight amount.

### [Larger Item Pickup Area] 
* Item pickup area increased to 3 (from 2)

### [No Skills Level Down Upon Death] 
* Skills will no longer drop in level when dying. However, the progress towards the next level for each skill will still drop. For example, if a player has level 17 in the Swords skill and 30% progress in it towards the next level, when the player dies, the percentage progress will drop, but the main level will not go below 17.

### [Alternate Status Effects] 
* This section changes the duration of the following effects as follows: 
  - Minor and Medium Health Potion duration: 60 seconds (from 120) 
  - Minor and Medium Stamina Potion duration: 60 seconds (from 120) 
  - Wet effect duration: 60 seconds (from 120)

### [Larger Explore Radius On Boat]
* Exploration radius doubled when on a boat.

### [Other Section] 
* This is a work in progress and it's intended to be a location for me to add random stuff I think need changing. 
* Current Changes:
  - Queen's Jam Raspberries and Blueberries required amounts decreased to 5 each (from 8 and 6 respectively).
  - Turnip Stew received increased to 2 when cooking (from 1).
  - Tankard Fine Wood material requirement decreased to 2 (from 4).


<br>

## ==========Version History==========

[V2.2.0]
* Fixed a typo of the config variable in the [Lighter Metal Weight] Section 
* Added section:
  - [Larger Explore Radius On Boat]

[V2.1.0]
* Fixed an incompatibility with other mods that change item recipes
* Changed the [Alternate Linen Cape] section into [Alternate Linen & Lox Cape] and added poison resist to those capes.

[V2.0.0]
* Added the following sections:
  - [Smaller Forsaken Powers Cooldowns]
  - [Alternate Gear Speed Modifiers]
  - [Lighter Metal Weight]
  - [Cheaper Build Pieces]
  - [Alternate Build Pieces Materials]
  - [Alternate Menu Scene]
  - [Faster Character Jog, Walk, Swim and Crouch Speeds (Run excluded)]
  - [Larger Item Pickup Area]
  - [No Skills Level Down Upon Death]
  - [Alternate Status Effects]

[V1.4.0]
* Initial upload containing the following sections:
  - [Cheaper Gear Recipes]
  - [Double Bronze Crafting]
  - [Alternate Gear Recipes]
  - [Alternate Linen Cape]
  - [Other Section]